<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <script>
        let a = 'String';
        let b = 4;
        let c = {};

        c.color = 'red';

        console.log('initial value a' + a);
        console.log('initial value b' + b);
        console.log('initial value c' + c);
        

        // определяем функцию
        function changeParams(str, num, obj) {
            str = 'Changed string';
            num = 111;
            obj.color = 'pink';
        }

        //вызывааем функцию
        changeParams(a, b, c);

        console.log('afterwards a' + a);
        console.log('afterwards b' + b);
        console.log('afterwards c' + c);
    </script>
</body>
</html>